Skip to main content
`Ctrl`+`K`

# SlepcInitializeNoPointers

Calls `SlepcInitialize()` from C/C++ without the pointers to `argc` and `args`.

## Synopsis

    #include "slepcsys.h"
    PetscErrorCode SlepcInitializeNoPointers(int argc,char **args,const char *file,const char *help)

Collective

## Input Parameters

- argc - count of number of command line arguments

- args - the command line arguments

- file - [optional] PETSc database file

- help - [optional] Help message to print, use `NULL` for no message

## Note

Check the manual page of `PetscInitializeNoPointers()` for an explanation.

## See Also

Writing SLEPc Programs, `SlepcInitialize()`

## Level

advanced

## Location

src/sys/slepcinit.c

Index of all Sys routines Table of Contents for all manual pages Index of all manual pages